Get environments for service
Server:
https://{kibana_url}
- GET /api/apm/settings/agent-configuration/environments
Retrieve the available environments for a given service, to be used in agent configuration. You must have read privileges for the APM and User Experience feature in Kibana. If serviceName is omitted, environments across all services are returned.
Query Parameters
-
serviceNamestring The name of the service. If omitted, environments across all services are returned.
Responses
Successful response
-
environmentsobject -
Service environment list
-
alreadyConfiguredboolean -
Already configured
-
namestring -
Service environment name
Bad Request response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Unauthorized response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Not found response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code